Announcement Announcement Module
No announcement yet.
HttpInvokerProxyFactoryBean and jdk 6?! Page Title Module
Move Remove Collapse
Conversation Detail Module
  • Filter
  • Time
  • Show
Clear All
new posts

  • HttpInvokerProxyFactoryBean and jdk 6?!

    Yes...a very simple question.
    Am using Spring v2.0.0 and recently downloaded the full version release of
    jdk 6
    Ok..i installed it...then I re-started my eclipse and made sure that in eclipse it had
    java.version=1.6.0 mode HotSpot(TM) Client VM Virtual Machine Specification
    java.vm.specification.vendor=Sun Microsystems Inc.
    java.vm.vendor=Sun Microsystems Inc.

    ok...problem for some reason in a class i have a reference to the HttpInvokerProxyFactoryBean

    like so..
    import org.apache.log4j.Logger;
    import org.springframework.remoting.httpinvoker.HttpInvok erProxyFactoryBean;

    import org.springframework.remoting.httpinvoker.HttpInvok erRequestExecutor;

    public class PortalServicesInvoker extends HttpInvokerProxyFactoryBean {

    ok..When I build the project I get an error that says it can not find the HttpInvokerProxyFactoryBean I went back to setting java.home to be jdk5 .... I get no errors..
    so it leads me to conclude that could it be that HttpInvokerProxyFactoryBean is not compatible with jdk 6?????????
    I dont understand whats going on?! anyone can shed a bit of light on this???



  • #2
    a more detail reveal that it can not find the MethodInterceptor interface?!


    • #3
      JDK 1.6 seems to have more eager class loading than JDK 1.5 in some scenarios. In your case, you probably haven't used the all-in-one spring.jar (which includes the AOP Alliance interfaces) but rather individual module jars; make sure that you include aopalliance.jar on your classpath in this case.